# Contributing Guidelines

We welcome contributions from expert developers who are interested in improving our project. By contributing to this project, you agree to abide by our code of conduct and to contribute under the terms of the **Apache License 2.0**.

## Code of Conduct

We expect all contributors to adhere to the highest standards of professionalism, ethics, and respect for all members of our community. We have adopted the [Contributor Covenant Code of Conduct](https://github.com/buildwiththeta/buildwiththeta/blob/main/CODE_OF_CONDUCT.md) and expect all contributors to follow it.

## How to Contribute

There are several ways to contribute to our project:

- Create an issue: If you encounter any problems or have suggestions for improvements, please create an issue. We will respond as soon as possible.
- Submit a pull request: If you would like to contribute directly to the code, you can submit a pull request. Please make sure that your code adheres to our style guide and passes our tests. We will review your pull request and provide feedback as necessary. 
- All code must be written in our team repositories under the **buildwiththeta** owner, and pushes must be made using pull requests with an authorized review from an advisor.
- Test and review pull requests: You can also contribute by testing and reviewing pull requests submitted by other contributors. Your feedback is invaluable and greatly appreciated.

## Pull Request Guidelines

Before submitting a pull request, please make sure that your code meets the following guidelines:

- Your code must be well-structured and modular, adhering to best practices for object-oriented programming.
- Your code must pass our tests and include appropriate test cases that cover all major use cases.
- Your code must be fully documented, providing clear, concise, and accurate descriptions of all classes, methods, and functions.

## Deploying Code

Employee Only: We ask that employees do not deploy any code to our online services before obtaining authorization. If you desire, you can publish on the staging environment to test and validate your code before it is deployed to production.

## License

By contributing to our project, you agree that your contributions will be licensed under the Apache License 2.0, which can be found in the [LICENSE](https://github.com/buildwiththeta/buildwiththeta/blob/main/LICENSE.md) file.

Thank you for contributing to our project!
